package com.jscape.inet.sftp.protocol.v4.messages;

import com.jscape.inet.sftp.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public class SshFxpData
        extends Message<SshFxpData.Handler> {

    public final int id;
    public final byte[] data;

    public SshFxpData(int id, byte[] data) {
        this.id = id;

        assertNotNull(data);
        this.data = data;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshFxpData {"
                + "id=" + this.id
                + ", data.length=" + this.data.length
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshFxpData message, MessageConnection<Message> connection);

    }
}
